import { Repository } from "typeorm";
import { Role } from "../../common/role/role.entity";
import { CreateRoleDto, UpdateRoleDto } from "./admin.role.dto";
import { RolePermission } from "src/common/rolepermission/rolepermission.entity";
export declare class AdminRoleService {
    private readonly roleRepository;
    private readonly rolePermissionRepository;
    constructor(roleRepository: Repository<Role>, rolePermissionRepository: Repository<RolePermission>);
    create(CreateRoleDto: CreateRoleDto): Promise<Role>;
    findAll(): Promise<Role[]>;
    findOne(id: number): Promise<Role>;
    update(id: number, UpdateRoleDto: UpdateRoleDto): Promise<Role>;
    remove(id: number): Promise<void>;
}
